Package com.xebialabs.xlrelease.serialization.json.xltype

# Class CiJson2Writer

java.lang.Object
com.xebialabs.xlrelease.serialization.json.xltype.CiJson2Writer

All Implemented Interfaces:
  `com.xebialabs.xltype.serialization.CiWriter`, `AutoCloseable`

public class CiJson2Writer extends Object implements com.xebialabs.xltype.serialization.CiWriter, AutoCloseable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final jakarta.json.stream.JsonGenerator`
  `json`
  `protected final Writer`
  `writer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiJson2Writer()`
  `CiJson2Writer(Writer writer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ciAttributes(CiAttributes ciAttributes)`
  `void`
  `ciFileAttribute(String file)`
  `void`
  `ciReference(String reference)`
  `void`
  `ciReferences(Collection<String> references)`
  `void`
  `close()`
  `void`
  `endCi()`
  `void`
  `endList()`
  `void`
  `endProperty()`
  `void`
  `externalProperties(Map<String,ExternalProperty> externalProperties)`
  `Writer`
  `getWriter()`
  `void`
  `mapAsStrings(Map<?,?> map)`
  `void`
  `startCi(String type, String id)`
  `void`
  `startList()`
  `void`
  `startProperty(String name)`
  `void`
  `token(String token)`
  `String`
  `toString()`
  `void`
  `typedCiReference(com.xebialabs.deployit.engine.api.dto.ConfigurationItemId ci)`
  `void`
  `typedCiReferences(Collection<? extends com.xebialabs.deployit.engine.api.dto.ConfigurationItemId> references)`
  `void`
  `validationMessages(List<ValidationMessage> validations)`
  `void`
  `valueAsString(Object value)`
  `void`
  `valuesAsStrings(Collection<?> values)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### writer

    protected final Writer writer

  - ### json

    protected final jakarta.json.stream.JsonGenerator json

- ## Constructor Details

  - ### CiJson2Writer

    public CiJson2Writer()

  - ### CiJson2Writer

    public CiJson2Writer(Writer writer)

- ## Method Details

  - ### getWriter

    public Writer getWriter()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### startList

    public void startList()
    Specified by:
      `startList` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### endList

    public void endList()
    Specified by:
      `endList` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### startCi

    public void startCi(String type, String id)
    Specified by:
      `startCi` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### endCi

    public void endCi()
    Specified by:
      `endCi` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### token

    public void token(String token)
    Specified by:
      `token` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### ciAttributes

    public void ciAttributes(CiAttributes ciAttributes)
    Specified by:
      `ciAttributes` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### ciFileAttribute

    public void ciFileAttribute(String file)
    Specified by:
      `ciFileAttribute` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### startProperty

    public void startProperty(String name)
    Specified by:
      `startProperty` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### endProperty

    public void endProperty()
    Specified by:
      `endProperty` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### valueAsString

    public void valueAsString(Object value)
    Specified by:
      `valueAsString` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### valuesAsStrings

    public void valuesAsStrings(Collection<?> values)
    Specified by:
      `valuesAsStrings` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### mapAsStrings

    public void mapAsStrings(Map<?,?> map)
    Specified by:
      `mapAsStrings` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### ciReference

    public void ciReference(String reference)
    Specified by:
      `ciReference` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### ciReferences

    public void ciReferences(Collection<String> references)
    Specified by:
      `ciReferences` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### typedCiReference

    public void typedCiReference(com.xebialabs.deployit.engine.api.dto.ConfigurationItemId ci)
    Specified by:
      `typedCiReference` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### typedCiReferences

    public void typedCiReferences(Collection<? extends com.xebialabs.deployit.engine.api.dto.ConfigurationItemId> references)
    Specified by:
      `typedCiReferences` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### validationMessages

    public void validationMessages(List<ValidationMessage> validations)
    Specified by:
      `validationMessages` in interface `com.xebialabs.xltype.serialization.CiWriter`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `IOException`

  - ### externalProperties

    public void externalProperties(Map<String,ExternalProperty> externalProperties)
    Specified by:
      `externalProperties` in interface `com.xebialabs.xltype.serialization.CiWriter`